import os

LANGUAGE_CODE = 'en-us'
BROKER_URL = 'memory://'

INSTALLED_APPS += ('hobo.agent.common',)

ALLOWED_HOSTS.append('localhost')

TEMPLATES[0]['OPTIONS']['debug'] = True

MIDDLEWARE = MIDDLEWARE + (
    'hobo.middleware.RobotsTxtMiddleware',
    'hobo.provisionning.middleware.ProvisionningMiddleware',
)

HOBO_MANAGER_HOMEPAGE_URL_VAR = 'portal_agent_url'

DATABASES = {
    'default': {
        'ENGINE': os.environ.get('DB_ENGINE', 'django.db.backends.sqlite3'),
        'TEST': {
            'NAME': ('hobo-test-%s' % os.environ.get("BRANCH_NAME", "").replace('/', '-'))[:63],
        },
    }
}
